import Vue from 'vue';
import { IWebComponentInstance } from '../../fx';
import { IOmniaWPContainerSettings } from "./IOmniaWPContainerSettings";
export declare type WebComponentDefinition = {
    id: string;
    name: string;
    icon?: {
        fontAwesome?: string;
        html?: string;
    };
};
export declare class OmniaWPContainerSettings extends Vue implements IWebComponentInstance, IOmniaWPContainerSettings {
    settings: string;
    opened: boolean;
    onClosed: () => void;
    onChange: (value: string) => void;
    private localizationService;
    private loc;
    private omniaFxComponents;
    private selectOmniaFxComponent;
    private settingsPaneModel;
    created(): void;
    mounted(): void;
    private onChangedSelectComponent(value);
    private populateWebComponents();
    private renderComponent(h, wc);
    private close();
    private save();
    private renderSettings();
    render(h: any): JSX.Element;
}
